markdown-it plugin for generation a table of contents
Simple key-value storage with support for multiple backends
Lightweight browser detector
Find and load configuration from a package.json property, rc file, TypeScript module, and more!
A simple key/value storage using files to persist the data
Get the list of files installed in a package in node_modules, including bundled dependencies
[](https://github.com/mmkal/expect-type/actions/workflows/ci.yml)  [](ht
Fast, fault-tolerant, cross-platform, disk-based, data-agnostic, content-addressable cache.
A collection of common interactive command line user interfaces.
hast utility to create trees
[](https://www.npmjs.com/package/jsdoc-type-pratt-parser) []
mdast utility to parse markdown
An AST-based pattern checker for JavaScript.
typesafe assertion library for TypeScript 3.7+
Info on the properties and attributes of the web platform
Generate a markdown (GFM) table
Universal WHATWG Fetch API for Node, Browsers and React Native
vfile utility to convert between positional (line and column-based) and offset (range-based) locations
small commonmark compliant markdown parser with positional info and concrete tokens
Ignore is a manager and filter for .gitignore rules, the one used by eslint, gitbook and many others.
the library aims to setup monaco editor into your browser
Generates and consumes source maps
hast utility to reparse a tree
A bson parser for node.js and the browser
This gem is used by GitLab to render any non Markdown markup
Takes some content and parses it depending of the format your specify (HTML or Markdown)
A command line interface for generating Markdown table of contents.
Allow Markdown and Textile to be used for BrowserCMS content.
The Prolog::Services::MarkdownToHtml class converts valid Markdown to valid HTML (as well-formed XML; i.e., void element tags such as <br/> are always properly closed). The resulting HTML is rendered as a single line of text with all unnecessary whitespace removed.
# mdtoc - Markdown Table of Contents Read Markdown files and output a table of contents. ## Installation Requirements: * [Ruby](https://www.ruby-lang.org/en/) (see [.ruby-version](./.ruby-version)) ```bash gem install mdtoc ``` ## Usage ```bash mdtoc --help Usage: mdtoc [options] files or directories... -h, --help Show this message -o, --output PATH Update a table of contents in the file at PATH -a, --[no-]append Append to the --output file if a <!-- mdtoc --> tag isn't found -c, --[no-]create Create the --output file if it does not exist ``` 1. Add a `<!-- mdtoc -->` tag to a Markdown file. ```bash echo '<!-- mdtoc -->' >> README.md ``` 2. Run `mdtoc` and specify input files or directories (eg. the "test/samples" directory) and an output file (eg. "README.md"). ```bash mdtoc -aco README.md test/samples ``` ## Example Rakefile Create a `Rakefile` with the contents below, then run [`rake`](https://github.com/ruby/rake) to: * `git pull` * `git add` any `*.md` files * Run `mdtoc` to update the generated table of contents in the ./README.md file * Git commit and push any changes ```ruby task default: %w[mdtoc] desc 'Update Markdown table of contents and push changes to the git repository' task :mdtoc do command = <<~CMD set -e if [ -n "$(git diff --name-only --diff-filter=U)" ]; then echo 'Error: conflicts exist' >&2 exit 1 fi mdtoc --append --create --output README.md docs/ git add *.md **/*.md git commit -qm 'Update TOC' || true git pull git push CMD sh command, verbose: false do |ok, status| unless ok fail "Failed with status: #{status.exitstatus}" end end end ``` See [andornaut/til](https://github.com/andornaut/til/blob/master/Rakefile) for an example. ## Development ### Setup Requirements: * [Bundler](https://bundler.io/) * [chruby](https://github.com/postmodern/chruby) (recommended) ```bash # Setup development environment bin/setup ``` ### Tasks ```bash # List rake tasks rake -T rake build # Build gem into the pkg directory rake default # Run the build, rubocop, sorbet and test tasks rake install # Build and install gem into system gems rake rubocop # Run RuboCop rake sorbet # Run the Sorbet type checker rake test # Run tests # Run mdtoc with test inputs ruby -Ilib bin/mdtoc test/samples # Run mdtoc with test inputs, and write to a newly created output file f=$(mktemp) && ruby -Ilib bin/mdtoc -aco ${f} test/samples ; cat ${f} ``` ### Publishing 1. Bump version in `lib/mdtoc/version.rb` 2. Run `bundle install` to update `Gemfile.lock` 3. Commit the changes 4. Run `rake release` to publish the gem to RubyGems, create the git tag, and push
Gem for building static content websites from markdown.
MarkdownRecord is a Rails engine that lets you write content and populate models in markdown directly within your application's repo, then generate html and json files for direct rendering in your app.
Based on Pete's Keen approach https://github.com/peterkeen/mmp-builder from his Adventures in Self Publishing https://www.petekeen.net/adventures-in-self-publishing
A module for loading Markdown or other content collections in Phlexite.
use markdown in decko card content
This ActiveRecord plugin saves formatted content (Markdown, Textile, HTML) after normalizing it.